
import { ElMessageBox  } from 'element-plus';
export function listenerOnline() {

    if (!navigator.onLine) {
        ShowError()
    }
// 监听网络状态变化
    window.addEventListener('online', () => {
        console.log('online')

        ElMessageBox({
            title:"网络变化",
            message:'网络已连接，5S后将自动刷新网页!',
            showCancelButton:false,
            showConfirmButton:false,
            closeOnClickModal:false,
            closeOnPressEscape:false,
            closeOnHashChange:false,
            showClose:false
        })
        setTimeout(()=>{
            window.location.reload();
        })
    });

    window.addEventListener('offline', () => {
        console.log('offline')
        ShowError();
    });

    function ShowError(){

        ElMessageBox({
            title:"网络掉线！",
            message:'网络已断开，请检查网络连接!',
            showCancelButton:false,
            showConfirmButton:false,
            closeOnClickModal:false,
            closeOnPressEscape:false,
            closeOnHashChange:false,
            showClose:false
        })
    }
}
